ig.module(
    'game.entities.window-b'
)
.requires(
    'impact.entity',
    'game.entities.window'
)
.defines(function () {
    "use strict"
    ig.global.EntityWindowB = EntityWindow.extend({
        animSheet: new ig.AnimationSheet('media/windowB.png', 125, 215),
        init: function (x, y, settings) {
            this.addAnim('fixed', 0.1, [0]);
            this.addAnim('topBroken', 0.1, [1]);
            this.addAnim('bottomBroken', 0.1, [2]);
            this.addAnim('bothBroken', 0.1, [4]);
            this.addAnim('bottomOpen', 0.1, [3]);

            this.addFixAnim('topBroken', 'fixed', 3);
            this.addFixAnim('bottomBroken', 'fixed', 3);
            this.addFixAnim('bothBroken', 'topBroken', 3);
            this.currentAnim = this.anims.bothBroken;
            this.parent(x, y, settings);
        }
    });
});
